Bug 259404 - emulators/wine, emulators/wine-devel, emulators/wine-proton: fix pkg32.sh for pkg 1.17.3
Summary: emulators/wine, emulators/wine-devel, emulators/wine-proton: fix pkg32.sh for...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-24 16:08 UTC by Alex S
Modified: 2021-10-28 07:54 UTC (History)
2 users (show)

See Also:
damjan.jov: maintainer-feedback+


Attachments
/usr/share/keys/pkg symlink for pkg root (2.04 KB, patch)
2021-10-24 16:08 UTC, Alex S
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex S 2021-10-24 16:08:18 UTC
Created attachment 228986 [details]
/usr/share/keys/pkg symlink for pkg root

Apparently after [1] or [2], given an uninitialized root dir, pkg now fails with this error:

> pkg: Error opening the trusted directory /usr/share/keys/pkg/trusted
> pkg: Error loading trusted certificates

Arguably a bit misleading message, since pkg merely looks for that path in the specified root dir.

I didn't bother creating separate bugs for all 3 ports, so the patch lumps all changes together. I believe that makes sense since those changes are relatively simple and completely identical. Proceed as you see fit, however.

[1]: https://github.com/freebsd/pkg/commit/d04e611a40eb73f5b225c85868a85ca873a45119
[2]: https://github.com/freebsd/pkg/commit/e61529ac3f63a68d7cbb0a6c9a96038beede5c85
Comment 1 Damjan Jovanovic 2021-10-24 16:16:35 UTC
Thank you. I like.
Comment 2 Gerald Pfeifer freebsd_committer 2021-10-24 21:32:30 UTC
Thank you, Alex. I'll apply these...
Comment 3 commit-hook freebsd_committer 2021-10-26 08:25:56 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=d10bf5d0be8ac6b24b8ffdb42be450b84cdc1eba

commit d10bf5d0be8ac6b24b8ffdb42be450b84cdc1eba
Author:     Alex S <iwtcex@gmail.com>
AuthorDate: 2021-10-26 08:21:18 +0000
Commit:     Gerald Pfeifer <gerald@FreeBSD.org>
CommitDate: 2021-10-26 08:21:18 +0000

    emulators/wine-devel: Adjust pkg32.sh to pkg 1.17.3

    After recent changes, given an uninitialized root dir pkg now fails
    with:

      pkg: Error opening the trusted directory /usr/share/keys/pkg/trusted
      pkg: Error loading trusted certificates

    This works around it for our WoW setup.

    PR:             259404
    Approved by:    Damjan Jovanovic <damjan.jov@gmail.com>

 emulators/wine-devel/Makefile       | 2 +-
 emulators/wine-devel/files/pkg32.sh | 7 ++++++-
 2 files changed, 7 insertions(+), 2 deletions(-)
Comment 4 commit-hook freebsd_committer 2021-10-26 20:49:57 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=0ce96f7c97a168d3b01e4f46296a410761f5c302

commit 0ce96f7c97a168d3b01e4f46296a410761f5c302
Author:     Alex S <iwtcex@gmail.com>
AuthorDate: 2021-10-26 20:48:48 +0000
Commit:     Gerald Pfeifer <gerald@FreeBSD.org>
CommitDate: 2021-10-26 20:48:48 +0000

    emulators/wine-proton: Adjust pkg32.sh to pkg 1.17.3

    After recent changes, given an uninitialized root dir pkg now fails
    with:

      pkg: Error opening the trusted directory /usr/share/keys/pkg/trusted
      pkg: Error loading trusted certificates

    This works around it for our WoW setup.

    PR:             259404
    Approved:       maintainer (= author)

 emulators/wine-proton/files/pkg32.sh | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)
Comment 5 commit-hook freebsd_committer 2021-10-28 07:45:07 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=2a166ec5f43bcafcecfc3f4172901c831b84482e

commit 2a166ec5f43bcafcecfc3f4172901c831b84482e
Author:     Alex S <iwtcex@gmail.com>
AuthorDate: 2021-10-28 07:43:33 +0000
Commit:     Gerald Pfeifer <gerald@FreeBSD.org>
CommitDate: 2021-10-28 07:43:33 +0000

    emulators/wine-devel: Adjust pkg32.sh to pkg 1.17.3

    After recent changes, given an uninitialized root dir pkg now fails
    with:

      pkg: Error opening the trusted directory /usr/share/keys/pkg/trusted
      pkg: Error loading trusted certificates

    This works around it for our WoW setup.

    PR:             259404

 emulators/wine/files/pkg32.sh | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)
Comment 6 Gerald Pfeifer freebsd_committer 2021-10-28 07:54:32 UTC
Grr, I erroneously had wine-devel in the commit message instead of wine.

Apart from that, all good and applied from what I can tell; thanks Alex!